diff -Nur debian-faq-5.0.2/de/Makefile debian-faq-5.0.2+nmu1/de/Makefile
--- debian-faq-5.0.2/de/Makefile	2008-04-22 07:19:41.000000000 +1000
+++ debian-faq-5.0.2+nmu1/de/Makefile	2014-10-13 13:13:26.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa* head.tmp body.tmp $(manual).tpt
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/es/Makefile debian-faq-5.0.2+nmu1/es/Makefile
--- debian-faq-5.0.2/es/Makefile	2008-04-22 07:19:58.000000000 +1000
+++ debian-faq-5.0.2+nmu1/es/Makefile	2014-10-13 13:13:21.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa*
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/fr/Makefile debian-faq-5.0.2+nmu1/fr/Makefile
--- debian-faq-5.0.2/fr/Makefile	2011-08-30 20:28:39.000000000 +1000
+++ debian-faq-5.0.2+nmu1/fr/Makefile	2014-10-13 18:30:52.402578812 +1000
@@ -57,8 +57,7 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 	rm -f $(manual)*
-	rm -f *~ .*~ core tsa*
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/it/Makefile debian-faq-5.0.2+nmu1/it/Makefile
--- debian-faq-5.0.2/it/Makefile	2012-03-27 06:48:01.000000000 +1000
+++ debian-faq-5.0.2+nmu1/it/Makefile	2014-10-13 13:13:45.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*
-	rm -f *~ .*~ core tsa*
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/Makefile debian-faq-5.0.2+nmu1/Makefile
--- debian-faq-5.0.2/Makefile	2011-08-30 20:28:40.000000000 +1000
+++ debian-faq-5.0.2+nmu1/Makefile	2014-10-13 17:20:50.000000000 +1000
@@ -80,12 +80,14 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
-clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
-	rm -f *.tmp
-	rm -f $(manual)*.{txt,ps,pdf}.gz
-	rm -f faqdynamic.ent *~ .*~ core tsa*
+clean distclean: cleanup
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
-.PHONY: all publish clean distclean validate update-po po4a-translate
+cleanup:
+	rm -rf $(manual)*.$(currentlang).html
+	rm -f $(patsubst %,$(manual)*.%,txt ps dvi pdf info* aux log man tex toc out tpt sasp*)
+	rm -f $(patsubst %,$(manual)*.%.gz,txt ps pdf)
+	rm -f faqdynamic.ent *~ .*~ core tsa* *.tmp $(manual).tpt
+	[ ! -h faqstatic.ent ] || rm faqstatic.ent
+
+.PHONY: all publish clean cleanup distclean validate update-po po4a-translate
diff -Nur debian-faq-5.0.2/pl/Makefile debian-faq-5.0.2+nmu1/pl/Makefile
--- debian-faq-5.0.2/pl/Makefile	2008-04-22 07:19:49.000000000 +1000
+++ debian-faq-5.0.2+nmu1/pl/Makefile	2014-10-13 13:13:50.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa*
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/pt_BR/Makefile debian-faq-5.0.2+nmu1/pt_BR/Makefile
--- debian-faq-5.0.2/pt_BR/Makefile	2008-04-22 07:19:42.000000000 +1000
+++ debian-faq-5.0.2+nmu1/pt_BR/Makefile	2014-10-13 13:13:55.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa*
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/ru/Makefile debian-faq-5.0.2+nmu1/ru/Makefile
--- debian-faq-5.0.2/ru/Makefile	2012-03-27 06:47:50.000000000 +1000
+++ debian-faq-5.0.2+nmu1/ru/Makefile	2014-10-13 18:30:57.654578721 +1000
@@ -57,8 +57,7 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 	rm -f $(manual)*
-	rm -f *~ .*~ core tsa*
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/uk/Makefile debian-faq-5.0.2+nmu1/uk/Makefile
--- debian-faq-5.0.2/uk/Makefile	2008-04-22 07:19:37.000000000 +1000
+++ debian-faq-5.0.2+nmu1/uk/Makefile	2014-10-13 13:14:05.000000000 +1000
@@ -57,8 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa*
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
diff -Nur debian-faq-5.0.2/zh_CN/Makefile debian-faq-5.0.2+nmu1/zh_CN/Makefile
--- debian-faq-5.0.2/zh_CN/Makefile	2008-04-22 07:19:55.000000000 +1000
+++ debian-faq-5.0.2+nmu1/zh_CN/Makefile	2014-10-13 13:14:10.000000000 +1000
@@ -57,9 +57,6 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
-	rm -f *~ .*~ core tsa*
-	rm -f *.tpt *.ent
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 
 .PHONY: all publish clean distclean validate
